@echo off
echo 旧バージョンを確認中...
reg query "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{535CF226-065E-4645-A6B2-E765E0828BB8}" >nul 2>&1
if %ERRORLEVEL% == 0 goto doUninstall
reg query "HKLM\SOFTWARE\WOW6432Node\Microsoft\Windows\CurrentVersion\Uninstall\{535CF226-065E-4645-A6B2-E765E0828BB8}" >nul 2>&1
if %ERRORLEVEL% == 0 goto doUninstall
echo インストール済みバージョンが見つかりませんでした。スキップします。
goto doInstall

:doUninstall
echo 旧バージョンをアンインストール中...
MsiExec.exe /x{535CF226-065E-4645-A6B2-E765E0828BB8} /qb

:doInstall
echo インストール中...
"%~dp0setup.exe"